libzypp 17.37.10

zypp::SignalSaver Class Reference

Exception safe signal handler save/restore. More...

`#include <zypp/base/Signal.h>`

## Public Member Functions
| SignalSaver (int signum_r, sighandler_t handler_r)
| ~SignalSaver ()

## Private Attributes
int | _signum
::sighandler_t | _orighandler

## Detailed Description

Exception safe signal handler save/restore.

Definition at line 25 of file Signal.h.

## Constructor & Destructor Documentation

## ◆ SignalSaver()

zypp::SignalSaver::SignalSaver | ( | int | signum_r,
|  | sighandler_t | handler_r )
| inline

Definition at line 28 of file Signal.h.

## ◆ ~SignalSaver()

zypp::SignalSaver::~SignalSaver | ( |  | ) |
| inline

Definition at line 31 of file Signal.h.

## Member Data Documentation

## ◆ _signum

int zypp::SignalSaver::_signum
| private

Definition at line 34 of file Signal.h.

## ◆ _orighandler

::sighandler_t zypp::SignalSaver::_orighandler
| private

Definition at line 35 of file Signal.h.

The documentation for this class was generated from the following file:

- zypp/base/Signal.h